.not-seen td {
    font-weight: bold;
}

table a {
    color: #4175cb;
}

.opportunity-cover {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background-color: #f1eed9;
    color: #0b0b0b;
    text-align: center;
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: center;
}

.table-hover tr {
    cursor: pointer;
}

.modal-opportunity .modal-dialog {
    width: 700px !important;
    height: 100%;
}

@media (max-width: 700px) {
    .modal-opportunity .modal-dialog {
        width: 100% !important;
    }
}

.modal-opportunity .modal-body {
    padding: 0;
}

.modal-opportunity .opportunity-cover {
    width: 40px;
    height: 40px;
}

.accordion-boxed .card-header a {
    display: block;
    width: 100%;
    height: 100%;
    padding: 0.75rem 1.25rem;
}

.accordion-boxed .card-header a:hover {
    text-decoration: none;
}

.accordion-boxed .card-header {
    padding: 0;
}

.interaction-container {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
    height: 100%;
    position: relative;
}

.interaction-area {
    background: url("../images/qwd83nc4xxf41s.webp");
    flex: 1;
    overflow: auto;
    max-height: 100%;
    padding: 20px;
    display: flex;
    flex-direction: column;
}

.interaction-area.reverse {
    flex-direction: column-reverse;
}

.interaction-controls .card {
    background-color: #fbfbfb;
    box-shadow: 0 -3px 4px rgba(0, 0, 0, .1);
    border-top: 1px solid #aaa;
}

#opportunityContent {
    display: flex;
    flex-grow: 1
}

#opportunityContent {
    max-height: 100%;
    overflow: auto;
}

#opportunityContent .tab-pane {
    flex: auto 1
}

.interaction-box {
    width: 100%;
    display: flex;
    flex-direction: row;
    margin-bottom: 20px;
}

.interaction-box:last-child {
    margin-bottom: 0;
}

.interaction-box .interaction-cover {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    background-color: #f1eed9;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    color: #0b0b0b;
}

.interaction-box .interaction-cover img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.interaction-box .interaction-content {
    flex: 1;
}

.interaction-box.client .interaction-content {
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: start;
    margin-left: 10px;
}

.interaction-box.user .interaction-content {
    display: flex;
    flex-direction: column;
    justify-content: end;
    align-items: end;
    margin-right: 10px;
}

.interaction-box .interaction-content .content {
    padding: 5px 10px;
    border-radius: 5px;
    max-width: 80%;
    background-color: #f3f3f3;
    position: relative;
    word-wrap: break-word;
}

.interaction-box .interaction-content .content video {
    width: 100%;
    height: auto;
}

.interaction-box .interaction-content .content img {
    width: 100%;
    height: auto;
}

.interaction-box .interaction-content .content img.sticker {
    width: 80px;
    height: auto;
}

.interaction-box .interaction-content .content.note {
    background-color: #fff3f0;
}

.interaction-box .interaction-content .infos.note i {
    color: #ff6e41 !important;
}

.interaction-box .interaction-content .content.email {
    background-color: #e3ebf4;
}

.interaction-box .interaction-content .infos.email i {
    color: #0076ff !important;
}

.interaction-box .interaction-content .content.whatsapp {
    background-color: #e2f5f1;
}

.interaction-box .interaction-content .infos.whatsapp i {
    color: #00c298 !important;
}

.interaction-box .btn-options {
    width: 20px;
    height: 20px;
    border-radius: 50%;
    border: 1px solid #e9ecef;
    position: absolute;
    left: -30px;
    top: 7px;
    display: none;
    text-align: center;
    box-shadow: 0 0.5rem 1rem rgba(18, 38, 63, 0.05) !important;
}

.interaction-box .interaction-content:hover .btn-options {
    display: block;
}

.interaction-box .interaction-content .infos {
    font-size: 12px;
    margin-top: 5px;
}

.input-container {
    position: relative;
}

.input-container button:hover {
    opacity: 0.8;
}

.input-container .input-icon {
    width: 35px;
    height: 35px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #FFF;
}

.whatsapp-input-container {
    background: #f6f8fc;
    width: 100%;
    min-height: 40px;
    border-radius: 30px;
    border: 1px solid #cccccc;
    display: flex;
    gap: 5px;
    align-items: flex-end;
    padding: 2px 10px;
    box-sizing: border-box;
    position: relative;
}

.whatsapp-input-container.audio {
    height: 40px !important;
}

.whatsapp-attachments,
.whatsapp-emoji-button,
.whatsapp-delete-audio,
.whatsapp-audio-pause,
.whatsapp-delete-file {
    width: 35px;
    height: 35px;
    border-radius: 50%;
    background: none;
    border: none;
    cursor: pointer;
    font-size: 18px;
    color: #888;
    margin-right: 10px;
    align-self: flex-end;
}

.whatsapp-emoji-button i {
    pointer-events: none;
}

.whatsapp-delete-file {
    margin-right: 0;
}

#interaction-whatsapp {
    flex-grow: 1;
    border: none;
    outline: none;
    background: transparent;
    padding: 5px;
    font-size: 16px;
    color: #333;
    resize: none;
    overflow-y: hidden;
    max-height: 100px;
    min-height: 30px;
    height: auto;
}

#interaction-whatsapp:focus {
    box-shadow: none;
}

.whatsapp-controls {
    display: flex;
    align-items: center; /* Alinha verticalmente ao centro */
    margin-right: 38px; /* Espaço reservado para o botão de envio */
    position: relative;
}

.whatsapp-controls button {
    background: none;
    border: none;
    cursor: pointer;
    font-size: 18px;
    color: #888;
    margin-left: 10px;
}

.whatsapp-controls button:hover {
    color: #555;
}

.whatsapp-send-button {
    width: 38px;
    height: 38px;
    border-radius: 50%;
    background: linear-gradient(45deg, #6f2813, #ff3c00);
    color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    cursor: pointer;
    position: absolute;
    left: 38px;
    top: -8px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
    z-index: 10;
    transition: transform 0.3s ease;
}

.whatsapp-send-button i {
    font-size: 16px;
}

.whatsapp-send-button:hover {
    transform: translateY(-3px);
}

.opportunity-title-container {
    flex: 1;
    gap: 5px;
}

.whatsapp-send-button,
.whatsapp-send-audio {
    width: 38px;
    height: 38px;
    border-radius: 50%;
    background: linear-gradient(45deg, #6f2813, #ff3c00) !important;
    color: white !important;
    display: flex;
    align-items: center;
    justify-content: center;
    border: none;
    cursor: pointer;
    position: absolute;
    right: 10px; /* Ajusta a posição à direita do container */
    bottom: 5px; /* Ajusta a posição acima da parte inferior do container */
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.2); /* Adiciona o efeito de flutuação */
    z-index: 10;
    transition: transform 0.3s ease;
}

.whatsapp-send-button i,
.whatsapp-send-audio i {
    font-size: 16px;
}

.whatsapp-send-button:hover,
.whatsapp-send-audio:hover {
    transform: translateY(-2px); /* Efeito de levantar ao passar o mouse */
}

.audio-recording-bars {
    flex-grow: 1;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 4px;
}

.audio-active-recording {
    display: flex;
    height: 100%;
    align-items: center;
    gap: 5px;
}

.whatsapp-input-container.recording-active {
    display: none;
}

.whatsapp-input-container.recording-active .whatsapp-controls {
    height: 100%;
    width: 35px;
    margin-right: 7px;
}

.whatsapp-send-audio {
    left: 0;
    top: -3px;
}

/* fix provisorio */
#collapseTwo {
    overflow: auto !important;
    position: relative;
}

#opportunity-car input {
    width: 100%;
    height: 50px;
    font-size: 14px;
    padding-right: 8rem !important;
    padding-left: 20px;
    border-radius: 5px;
}

.smart-search-results {
    display: none;
    top: 100%;
    width: 100%;
    background: #fff;
    border: solid 0.1rem #ecedee;
    z-index: 60;
    box-shadow: 0 20px 20px 2px rgb(0 0 0/10%);
    -webkit-box-shadow: 0 20px 20px 0px rgb(0 0 0/10%);
    -moz-box-shadow: 0 20px 20px 0px rgba(0,0,0,0.1);
}

.smart-search-term {
    border-bottom: solid 1px #ecedee;
}

.smart-search-term .label {
    font-size: 13px;
    color: #595c6d;
}

.smart-search-results .smart-all-results {
    background: 0 0;
    border: 0;
    text-decoration: underline;
    color: #595c6d;
    font-size: 13px;
}

.smart-search-results .result-item,
.smart-search-results .result__search {
    border-bottom: solid 1px #ecedee;
}

.smart-search-results .result-item,
.smart-search-results .result__search {
    border-bottom: solid 1px #ecedee;
}

.smart-search-results .result-link {
    background: #fff;
    -webkit-transition: all ease .15s;
    -o-transition: all ease .15s;
    -moz-transition: all ease .15s;
    transition: all ease .15s;
    -webkit-box-shadow: 0 0 0 rgb(0 0 0 / 15%);
    -moz-box-shadow: 0 0 0 rgba(0,0,0,0.15);
    box-shadow: 0 0 0 rgb(0 0 0 / 15%);
}

.smart-search-image {
    width: 100px;
    height: 90px;
}

.smart-search-results .price-total {
    color: #ffcc29;
}
.smart-search-results .price-compare,
.smart-search-results .price-total {
    font-weight: 600;
    font-size: 15px;
    line-height: 1;
}

.smart-search-results .icon {
    color: #ffcc29;
    width: 20px;
}

.smart-search-results .result-link .title {
    font-size: calc( 14 * 1px);
}
.smart-search-results .title {
    color: #2c3049;
}

.smart-search-results .result-list {
    padding: 0;
    overflow-y: auto;
    max-height: 300px;
    margin-bottom: 0;
}

.dc-scroll.ps {
    position: relative;
    overflow: hidden;
}

.ps {
    overflow: hidden!important;
    overflow-anchor: none;
    -ms-overflow-style: none;
    touch-action: auto;
    -ms-touch-action: auto;
}

.smart-search-results .img-fluid {
    height: 100%;
    max-width: 100%;
    display: block;
    object-fit: cover;
}

.smart-search-results .result-link:hover {
    -webkit-box-shadow: 0 0 30px rgb(0 0 0 / 15%);
    -moz-box-shadow: 0 0 30px rgba(0,0,0,0.15);
    box-shadow: 0 0 30px rgb(0 0 0 / 15%);
    text-decoration: none;
}

.car-opportunity .car-box {
    width: 100%;
    padding: 5px 8px;
    margin: 10px 0;
    border: 1px solid #a6a6a6;
    border-radius: 5px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 8px;
    text-decoration: none;
}

.car-opportunity .car-box span {
    flex-grow: 1;
}

.car-opportunity .car-box .car-image {
    width: 65px;
    height: 55px;
}

.car-opportunity .car-box .car-image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

#clientsResults {
    max-height: 200px;
    overflow-y: auto;
}

.client-box {
    width: 100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    padding: 8px 10px;
    border: 1px solid #ecedee;
    border-radius: 5px;
    margin: 5px 0;
}

.client-box span {
    flex-grow: 1;
    gap: 8px;
}

.text-primary-nr {
    color: #daf126 !important;
}

.bg-primary-nr {
    background-color: #daf126 !important;
}

.crm-document {
    border-radius: 8px;
    border-left: solid #0a84ff 4px;
    padding: 3px;
    background-color: #FFFFFF;
}

.document-preview {
    border-radius: 8px;
    border: 1px solid #1180f5;
    height: 150px;
    overflow: hidden;
    position: relative;
}

.pdf-canvas {
    width: 100%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.recording-indicator {
    width: 100%;
}

.recording-bars, .saved-bars {
    height: 30px;
    margin-bottom: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 4px;
}

.recording-bar, .saved-bar {
    width: 3px;
    height: 3px;
    background: #ff3c00;
    border-radius: 3px;
    transition: height 0.1s;
}

.recording-info {
    text-align: center;
    color: #0b0b0b;
    margin-top: 5px;
}

.audio-controls {
    display: flex;
    justify-content: center;
    gap: 10px;
    margin-top: 10px;
}

.audio-send-button,
.audio-cancel-button {
    background-color: #ff3c00;
    color: white;
    border: none;
    padding: 5px 10px;
    border-radius: 5px;
    cursor: pointer;
}

.audio-cancel-button {
    background-color: #ccc;
}

.whatsapp-file {
    position: relative;
    display: none;
    overflow: hidden;
    padding: 0 5px;
    border-radius: 10px;
    margin-bottom: 10px;
}

.whatsapp-file .content {
    position: relative;
    padding: 0 8px;
}

.custom-border {
    position: absolute;
    inset: 0;
    padding: 1px;
    mask: linear-gradient(white 0 0) content-box, linear-gradient(white 0 0);
    -webkit-mask-composite: xor;
    mask-composite: exclude;
    border-radius: inherit;
    transition: opacity .25s ease-in-out;
}

.custom-border:after {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    min-width: 200%;
    min-height: 200%;
    aspect-ratio: 1/1;
    background: conic-gradient(from 0deg, pink, #ed705d, #ff2400, #8c1001);
    transform: translate(-50%, -50%) rotate(0deg);
    animation: glowing 3s linear infinite;
}

.interaction-quoted-message {
    cursor: pointer;
    transition: background 0.995s;
    border-left: 4px solid transparent;
    border-image: linear-gradient(45deg, #c7ede5, #629f97);
    border-image-slice: 1;
}

.interaction-quoted-message img {
    max-height: 200px;
}

.highlight-border {
    position: relative;
    border-radius: 5px;
    padding: 5px;
    animation: pulse 2s infinite;
    color: #FFFFFF;
}

.highlight-border::before {
    content: "";
    position: absolute;
    top: -2px;
    left: -2px;
    right: -2px;
    bottom: -2px;
    border-radius: 7px;
    background: linear-gradient(45deg, #c7ede5, #629f97);
    z-index: -1;
}

.highlight-border small.text-muted {
    color: #474747 !important;
}

@keyframes glowing {
    to {
        transform: translate(-50%, -50%) rotate(-360deg);
    }
}

@-webkit-keyframes pulse2 {
    0% {
        -webkit-box-shadow: 0 0 0 0 rgba(255, 0, 0, 0.3);
    }
    70% {
        -webkit-box-shadow: 0 0 0 10px rgba(255, 0, 0, 0);
    }
    100% {
        -webkit-box-shadow: 0 0 0 0 rgba(255, 0, 0, 0);
    }
}

@keyframes pulse2 {
    10% {
        -moz-box-shadow: 0 0 0 0 #ffcc29;
        box-shadow: 0 0 0 0 #ffcc29;
    }
    80% {
        -moz-box-shadow: 0 0 0 10px rgba(204, 169, 44, 0);
        box-shadow: 0 0 0 15px rgba(204, 169, 44, 0);
    }
    100% {
        -moz-box-shadow: 0 0 0 0 rgba(255, 0, 0, 0.3);
        box-shadow: 0 0 0 0 rgba(204, 169, 44, 0);
    }
}

.close-opportunities-container .card,
.out-opportunities-container .card,
.opportunities-container .card {
    transition: box-shadow 0.2s ease, border-left 0.2s ease, border-bottom 0.2s ease, background-color 0.2s ease;
}

.close-opportunities-container .card:hover,
.out-opportunities-container .card:hover,
.opportunities-container .card:hover {
    background-color: #fdfbf7;;
    cursor: pointer;
    box-shadow: 0 20px 20px 2px rgb(0 0 0/10%);
    -webkit-box-shadow: 0 20px 20px 0px rgb(0 0 0/10%);
    -moz-box-shadow: 0 20px 20px 0px rgba(0,0,0,0.1);
    border-bottom: 1px solid #d8d8d8;
}

.opportunity-success {
    border-left: 2px solid #00c298;
}

.opportunity-lost {
    border-left: 2px solid #ff0c0c;
}

/** Audio Control **/
/* Player de áudio */
.audio-player {
    --player-color-featured: #00e5c0;
    --player-color-background: #262d31;
    --player-color-text: #c5c6c8;
    --player-percent-played: 0;
    --player-current-time: "00:00";
    --player-current-date-time: "00:00";
    background: var(--player-color-background);
    display: inline-flex;
    min-width: 220px;
    width: 220px;
    max-width: 100%;
    border-radius: 0.4rem;
    padding: 0.4rem;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    user-select: none;
    font-family: Arial, sans-serif;
}
.audio-player + .audio-player {
    margin-top: 1rem;
}
.audio-player .player {
    flex: 1;
    display: flex;
}
.audio-player .player .btn-speed {
    border: none;
    border-radius: 50%; /* Torna o botão redondo */
    background-color: var(--player-color-featured);
    width: 30px; /* Largura do botão */
    height: 30px; /* Altura do botão */
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--player-color-background); /* Cor do texto */
    font-size: 0.8rem; /* Tamanho do texto */
    cursor: pointer; /* Mostra o cursor de clique */
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2); /* Adiciona uma sombra leve */
    transition: transform 0.2s ease; /* Animação ao passar o mouse */
    margin-top: 6px;
}
.audio-player .player .btn-speed:hover {
    transform: scale(1.1); /* Aumenta levemente ao passar o mouse */
}
.audio-player .player .btn-play {
    outline: none;
    appearance: none;
    cursor: pointer;
    background: none;
    border: 0;
    padding: 0 0.8rem 0 0.4rem;
}
.audio-player .player .btn-play:disabled{
    cursor: default;
}
.audio-player .player .btn-play span {
    color: var(--player-color-text);
    font-size: 38px;
    opacity: 0.8;
}
.audio-player .player .btn-play span:not(.icon-play),
.audio-player.playing .player .btn-play span:not(.icon-pause),
.audio-player.loading .player .btn-play span:not(.icon-loop){
    display: none;
}
.audio-player.playing .player .btn-play .icon-pause {
    display: inline-block;
}
@keyframes load{
    to{
        transform: rotate(360deg);
    }
}
.audio-player.loading .player .btn-play{
    pointer-events: none;
}
.audio-player.loading .player .btn-play span{
    animation: load 1s linear infinite;
}
.audio-player.loading .player .btn-play .icon-loop {
    display: inline-block;
}
.audio-player .player .timeline {
    flex: 1;
    display: flex;
    flex-direction: column;
    position: relative;
    padding-bottom: 0.2rem;
}
.audio-player .player .timeline .line {
    --line-height: 0.24rem;
    flex: 1;
    display: flex;
    align-items: center;
    position: relative;
}
.audio-player .player .timeline .line:before {
    content: "";
    width: var(--player-percent-played);
    position: absolute;
    background: var(--player-color-featured);
    height: var(--line-height);
    border-radius: calc(var(--line-height) / 2);
}
.audio-player .player .timeline .line input[type="range"] {
    flex: 1;
    all: unset;
    appearance: none;
    background-color: initial !important;
    border: none;
    outline: none;
    width: 100%;
    position: relative;
}
.audio-player
.player
.timeline
.line
input[type="range"]::-webkit-slider-thumb {
    appearance: none;
    background: var(--player-color-featured);
    width: 0.9rem;
    height: 0.9rem;
    border-radius: 50%;
    margin-top: calc(var(--line-height) * -1.4);
}
.audio-player
.player
.timeline
.line
input[type="range"]::-moz-range-thumb {
    unset: all;
    appearance: none;
    border: 0;
    background: var(--player-color-featured);
    width: 0.9rem;
    height: 0.9rem;
    border-radius: 50%;
    margin-top: calc(var(--line-height) * -1.4);
}
.audio-player
.player
.timeline
.line
input[type="range"]::-ms-thumb {
    appearance: none;
    background: var(--player-color-featured);
    width: 0.9rem;
    height: 0.9rem;
    border-radius: 50%;
    margin-top: calc(var(--line-height) * -1.4);
}
.audio-player
.player
.timeline
.line
input[type="range"]::-webkit-slider-runnable-track {
    background: rgba(255, 255, 255, 0.2);
    height: var(--line-height);
    border-radius: calc(var(--line-height) / 2);
}
.audio-player
.player
.timeline
.line
input[type="range"]::-moz-range-track {
    background: rgba(255, 255, 255, 0.2);
    height: var(--line-height);
    border-radius: calc(var(--line-height) / 2);
}
.audio-player
.player
.timeline
.line
input[type="range"]::-ms-track {
    background: rgba(255, 255, 255, 0.2);
    height: var(--line-height);
    border-radius: calc(var(--line-height) / 2);
}
.audio-player .player .timeline .data {
    display: flex;
    align-items: center;
    justify-content: space-between;
    font-size: 0.68rem;
    color: var(--player-color-text);
    position: absolute;
    width: 100%;
    bottom: 0;
}
.audio-player .player .timeline .data .current-time::before {
    content: var(--player-current-time);
}
.audio-player .player .timeline .data .time {
    display: flex;
    align-items: center;
}
.audio-player .player .timeline .data .time::before {
    content: var(--player-current-date-time);
}
.audio-player .player .timeline .data .time span {
    font-size: 1rem;
    margin-left: 0.4rem;
    color: var(--player-color-featured);
}
/* Áudio enviado */
.audio-player.mine {
    --player-color-background: #056162;
}
.audio-player.mine .user {
    margin-left: 0;
}
.audio-player.mine .player {
    margin-right: 0.8rem;
}
.audio-player.mine .player .btn-play{
    padding: 0 0.8rem;
}
.audio-player.mine .user span {
    right: 0;
    left: auto;
    transform: translateX(50%);
}